| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::PhotoInfoContainer Class Reference

## Public Member Functions
| PhotoInfoContainer (const PhotoInfoContainer &)=default
bool | isEmpty () const
bool | isNull () const
PhotoInfoContainer & | operator= (const PhotoInfoContainer &)=default
PhotoInfoContainer & | operator= (PhotoInfoContainer &&)=default
bool | operator== (const PhotoInfoContainer &t) const

## Public Attributes
QString | aperture
QDateTime | dateTime
QString | exposureMode
QString | exposureProgram
QString | exposureTime
QString | flash
QString | focalLength
QString | focalLength35mm
bool | hasCoordinates = false
| true if GPS info are present
QString | lens
QString | make
QString | model
QString | sensitivity
QString | whiteBalance